Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.util
Class FilterBuilder.Exclude

    java.lang.Object
      org.jboss.errai.reflections.util.FilterBuilder
          org.jboss.errai.reflections.util.FilterBuilder.Matcher
              org.jboss.errai.reflections.util.FilterBuilder.Exclude

All Implemented Interfaces:
  com.google.common.base.Predicate<java.lang.String>

Enclosing class:
  FilterBuilder

    public static class FilterBuilder.Exclude

extends FilterBuilder.Matcher

Nested Class Summary

Nested classes/interfaces inherited from class org.reflections.util.FilterBuilder
`FilterBuilder.Exclude, FilterBuilder.Include, FilterBuilder.Matcher`

Constructor Summary
`FilterBuilder.Exclude(java.lang.String patternString)`

Method Summary
`boolean` | `apply(java.lang.String regex)`
`java.lang.String` | `toString()`

Methods inherited from class org.reflections.util.FilterBuilder
`add, exclude, excludePackage, include, includePackage, parse, prefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.base.Predicate
`equals`

Constructor Detail

### FilterBuilder.Exclude

    public FilterBuilder.Exclude(java.lang.String patternString)

Method Detail

### apply

    public boolean apply(java.lang.String regex)

  Specified by:
    `apply` in interface `com.google.common.base.Predicate<java.lang.String>`
  Specified by:
    `apply` in class `FilterBuilder.Matcher`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FilterBuilder.Matcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.